{Решение задачи КРАСИВЫЕ ЧИСЛА.}
Uses SysUtils;
var  k, n : integer;
     flag : byte;
        m : array[0..1000000] of byte;
        C : Char;
begin
    assign(input, 'beauty.in');  reset(input);
    assign(output,'beauty.out'); rewrite(output);
    readln(n);
    for k := 1 to n do begin
        read(C);
        m[k]:= StrtoInt(C);
    end;
    flag := 1;
    for k := 1 to n-1 do
        if m[k] mod 2 = m[k + 1] mod 2 then flag := 0;

    if flag = 0 then write('no');
    if flag = 1 then write('yes');
    close(input);  close(output);
end.